---
title: RTCPeerConnection.getTransceivers()
slug: Web/API/RTCPeerConnection/getTransceivers
tags:
  - API
  - Media
  - Method
  - RTCPeerConnection
  - RTCRtpTransceiver
  - RTP
  - Reference
  - Transceiver
  - WebRTC
  - getTransceivers
---
<p>{{APIRef("WebRTC")}}</p>

<p>The {{domxref("RTCPeerConnection")}} interface's <code><strong>getTransceivers()</strong></code> method returns a list of the {{domxref("RTCRtpTransceiver")}} objects being used to send and receive data on the connection.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>transceiverList</em> = <em>rtcPeerConnection</em>.getTransceivers();</pre>

<h3 id="Parameters">Parameters</h3>

<p>None.</p>

<h3 id="Return_value">Return value</h3>

<p>An array of the {{domxref("RTCRtpTransceiver")}} objects representing the transceivers handling sending and receiving all media on the <code>RTCPeerConnection</code>. The list is in the order in which the transceivers were added to the connection.</p>

<h2 id="Example">Example</h2>

<p>The following snippet of code stops all transceivers associated with an <code>RTCPeerConnection</code>.</p>

<pre class="brush: js">pc.getTransceivers().forEach(transceiver =&gt; {
  transceiver.stop();
});
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("WebRTC 1.0", "#dom-rtcpeerconnection-gettransceivers", "RTCPeerConnection.getTransceivers()")}}</td>
   <td>{{Spec2("WebRTC 1.0")}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.RTCPeerConnection.getTransceivers")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/WebRTC_API">WebRTC API</a></li>
 <li><a href="/en-US/docs/Web/API/WebRTC_API/Signaling_and_video_calling">Signaling and video calling</a></li>
 <li>{{domxref("RTCPeerConnection.addTransceiver()")}}</li>
 <li>{{jsxref("Array.forEach()")}}</li>
</ul>
